List Dashboard Infrastructure
Authorization<token>
Bearer token
In: header
X-Organization-ID<token>
Tenant or organization identifier
In: header
Query Parameters
platformId?string
regionId?string
page?integer
Format
int32pageSize?integer
Format
int32Response Body
application/json
curl -X GET "https://api.nrings.io/v1/provider/dashboard/infrastructure?platformId®ionId&page&pageSize" \ -H "Authorization: Bearer {your_token}" \ -H "X-Organization-ID: {your_org_id}"{
"byNode": [
{
"nodeId": "string",
"nodeName": "string",
"platformId": "string",
"platformName": "string",
"regionId": "string",
"vmCount": 0,
"soldCpuCores": "string",
"soldMemoryMb": "string",
"soldStorageGb": "string",
"capacityCpuCores": 0,
"capacityMemoryMb": "string",
"nodeCpuCoreAllocated": 0,
"nodeMemoryAllocatedMb": "string",
"cpuOverallocatePercent": 0,
"memoryOverallocatePercent": 0,
"storageOverallocatePercent": 0
}
],
"nodeTotalCount": 0
}